
Redmine - Defect #1359

Moving an issue doesn't update associated revisiosn

2008-06-03 11:55 - Anonymous

Status: Closed Start date: 2008-06-03

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

We had an issue opened in the wrong project.  Some commits were done that referenced the ticket but they weren't associated as

the project the issue was in, wasn't monitoring that repository, as expected.

But we then moved the issue in to the correct project but no associated revisions were created.  Can the associated revisions (and

associated issues) be updated for an issue when it is moved?  Otherwise things are out of sync.

Redmine-0.7.1

Ruby-1.8.6

Rails-2.0.2

History

#1 - 2012-10-31 21:49 - Daniel Felix

Could this defect still be reproduced? I can't reproduce it in my current installation. Can someone else verify?

I'm using Redmine 2.1.2-devel.

#2 - 2013-05-11 03:37 - Jean-Baptiste Barth

- Category changed from Issues to SCM

- Status changed from New to Closed

- Priority changed from Normal to Low

- Affected version (unused) changed from 0.7.1 to devel

- Resolution set to Wont fix

- Affected version deleted (0.7.1)

I can reproduce on current trunk:

create a commit referencing issue N

link the repo to an other project

move issue N to the project where the repo has been linked

=> the link is not created

That's due to the way automatic links between commit and issues are created, e.g. when "fetch changesets" happen. That's a pretty rare case I think,

and now that issues can be linked manually I think we should handle it that way.

I think fixing it would add too much maintenance burden for little gain, so I close this issue. Re-open if needed.
